Bug 805327 - Review Request: pyrasite-gui - A graphical interface for monitoring and introspecting Python
Review Request: pyrasite-gui - A graphical interface for monitoring and intro...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On: 803149 805587
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 17:33 EDT by Luke Macken
Modified: 2016-09-19 22:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2012-03-20 17:33:36 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/pyrasite-gui.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/pyrasite-gui-2.0-0.1.beta7.fc16.src.rpm
Description:
Pyrasite uses gdb to inject code into a running Python process. This package
contains a graphical interface for Pyrasite, which allows you to easily analyze
and introspect a running Python process.
Comment 1 Ian Weller 2013-02-05 23:09:16 EST
Review checklist, last updated 2013-02-05
Based on https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Key: [X] passed, [F] failed, [-] irrelevant

[F] MUST: rpmlint must be run on the source rpm and all binary rpms the build
    produces. The output should be posted in the review.

pyrasite-gui.src: W: spelling-error %description -l en_US gdb -> db, gab, gob
pyrasite-gui.src: W: file-size-mismatch pyrasite-gui-2.0beta7.tar.gz = 64032, http://pypi.python.org/packages/source/p/pyrasite-gui/pyrasite-gui-2.0beta7.tar.gz = 64013
pyrasite-gui.noarch: W: spelling-error %description -l en_US gdb -> db, gab, gob
pyrasite-gui.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/pyrasite_gui/gui.py 0644L /usr/bin/env
pyrasite-gui.noarch: W: no-manual-page-for-binary pyrasite-gui
2 packages and 1 specfiles checked; 1 errors, 4 warnings.

Use sed to remove the shebang from pyrasite_gui/gui.py

[X] MUST: The package must be named according to the Package Naming Guidelines.
[X] MUST: The spec file name must match the base package %{name}, in the format
    %{name}.spec unless your package has an exemption.
[X] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.
[F] MUST: The License field in the package spec file must match the actual
    license. 

License tag is GPLv3, actual license is GPLv3+

[X] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.
[X] MUST: The spec file must be written in American English. 
[X] MUST: The spec file for the package MUST be legible. 
[F] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use sha256sum for this task.
    If no upstream URL can be specified for this package, please see the Source
    URL Guidelines for how to deal with this.

da37b5dc938d9a515b8bd97cafd1667da96b40c21a84cdae310b3465d127bbe5  pyrasite-gui-2.0beta7.tar.gz
51aae6d513cca6adbd7cd2a072e8f70151b7828aac90b9dc0421019fdff001a2  pyrasite-gui-2.0beta7.tar.gz.1

[X] MUST: The package MUST successfully compile and build into binary rpms on
    at least one primary architecture. 
[-] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed
    in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number MUST be placed in a
    comment, next to the corresponding ExcludeArch line. 
[F] MUST: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.

Koji build failed: ImportError: No module named setuptools

[-] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[-] MUST: Every binary RPM package (or subpackage) which stores shared library
    files (not just symlinks) in any of the dynamic linker's default paths,
    must call ldconfig in %post and %postun. 
[F] MUST: Packages must NOT bundle copies of system libraries.

Package bundles jQuery but I'm not sure what the rules for that are. jQuery
isn't listed on the bundling exceptions page:
  https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
however I *know* that many packages bundle jQuery.

[-] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker. 
[X] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which
    does create that directory. 
[X] MUST: A Fedora package must not list a file more than once in the spec
    file's %files listings. (Notable exception: license texts in specific
    situations)
[X] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. 
[X] MUST: Each package must consistently use macros. 
[X] MUST: The package must contain code, or permissable content. 
[-] MUST: Large documentation files must go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity). 
[X] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present. 
[-] MUST: Static libraries must be in a -static package. 
[-] MUST: Development files must be in a -devel package. 
[-] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
       Requires: %{name}%{?_isa} = %{version}-%{release} 
[-] MUST: Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.
[F] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install in
    the %install section. If you feel that your packaged GUI application does
    not need a .desktop file, you must put a comment in the spec file with your
    explanation. 

No .desktop file is present for a pyrasite-gui

[X] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share ownership
    with any of the files or directories owned by the filesystem or man
    package. If you feel that you have a good reason to own a file or directory
    that another package owns, then please present that at package review time. 
[X] MUST: All filenames in rpm packages must be valid UTF-8. 
[X] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream to include
    it. 
[-] SHOULD: The description and summary sections in the package spec file
    should contain translations for supported Non-English languages, if
    available. 
[F] SHOULD: The reviewer should test that the package builds in mock. 

Missing BuildRequires (see above)

[-] SHOULD: The package should compile and build into binary rpms on all
    supported architectures. 
[F] SHOULD: The reviewer should test that the package functions as described. A
    package should not segfault instead of running, for example.

RPM does not install: pyrasite-gui requires jquery-sparkline

[-] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
    vague, and left up to the reviewers judgement to determine sanity. 
[-] SHOULD: Usually, subpackages other than devel should require the base
    package using a fully versioned dependency. 
[-] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
    this is usually for development purposes, so should be placed in a -devel
    pkg. A reasonable exception is that the main pkg itself is a devel tool not
    installed in a user runtime, e.g. gcc or gdb. 
[-] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
    /usr/bin, or /usr/sbin consider requiring the package which provides the
    file instead of the file itself. 
[-] SHOULD: your package should contain man pages for binaries/scripts. If it
    doesn't, work with upstream to add them where they make sense.

Note You need to log in before you can comment on or make changes to this bug.